import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("home_page_component_ui")
export class HomePageComponentUi extends CoreEntity {
  @Column({ default: null, nullable: true })
  backgroundColor: string;

  @Column({ default: null, nullable: true })
  categorySectionTitleFontColor: string;

  @Column({ default: null, nullable: true })
  flowerSectionTitleFontColor: string;

  @Column({ default: null, nullable: true })
  dispoDifferenceSectionTitleFontColor: string;

  @Column({ default: null, nullable: true })
  reeferAFriendSectionTitleFontColor: string;

  @Column({ default: null, nullable: true })
  instagramSectionTitleFontColor: string;

  @Column({ default: null, nullable: true })
  categorySectionSubtitleFontColor: string;


  @Column({ default: null, nullable: true })
  flowerSectionSubtitleFontColor: string;

  @Column({ default: null, nullable: true })
  dispoDifferenceSectionSubtitleFontColor: string;

  @Column({ default: null, nullable: true })
  dispoDifferenceSubSectionOneTitleFontColor: string;

  @Column({ default: null, nullable: true })
  dispoDifferenceSubSectionOneSubtitleFontColor: string;

  @Column({ default: null, nullable: true })
  dispoDifferenceSubSectionTwoTitleFontColor: string;

  @Column({ default: null, nullable: true })
  dispoDifferenceSubSectionTwoSubtitleFontColor: string;

  @Column({ default: null, nullable: true })
  reeferAFriendSectionSubtitleFontColor: string;

  @Column({ default: null, nullable: true })
  instagramSectionSubtitleFontColor: string;

  @Column({ default: null, nullable: true })
  footerSectionBackgroundColor: string;

  @Column({ default: null, nullable: true })
  brandSectionTitleFontColor: string;

  @Column({ default: null, nullable: true })
  brandSectionSubtitleFontColor: string;
}
